<?php
namespace App\Http\Controllers\api;

use App\Http\Controllers\Controller;
use App\Models\Staticpage;
use App\Models\Religion;
use App\Models\Education;
use App\Models\Qualification;
use App\Models\Occupation;
use App\Models\Country;

use Illuminate\Http\Request;
use Validator;

class StaticpageController extends Controller
{
    private $pagination = 10;

	public function getstaticpage(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'userId'            => 'required',
            'userToken'         => 'required',
            'pageId'            => 'required',
        ]);

        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()], 403);
        }

        $input = $request->all();

        $verifiedUserId = Controller::checkToken($input['userId'], $input['userToken']);

        if ($verifiedUserId == $input['userId'])
        {
            $input = $request->all();

            $data = Staticpage::where('id', '=', $input['pageId'])->first();

            if($data->count()>0)
            {
                $sucess['id'] = $data->id;
                $sucess['pageTitle'] = $data->pageTitle;
                $sucess['description'] = $data->description;

                if($data->id == 1)
                {
                    if ($data->picture) {
                        $profileImagePath = public_path() . "/uploads/staticpageImages/" . $data->picture;

                        if (file_exists($profileImagePath)) {
                            $staticpageimages = asset('/uploads/staticpageImages/' . $data->picture);
                        }
                    }

                    $sucess['contact'] = $data->contact;
                    $sucess['email'] = $data->email;
                    $sucess['address'] = $data->address;
                    $sucess['picture'] = $staticpageimages;
                }

                return response()->json(['status'=>1,'message'=>'Staticpage data found','result'=>$sucess],200);
            }
            else
            {
                return response()->json(['status'=>0,'message'=>'Staticpage Not Found'],200);
            }
        }else{
            return response()->json(['status' => 0, 'message' => 'You are not authorized please login again'],401);
        }
	}

    public function allstaticpage(Request $request)
    {
        $data = Staticpage::get();

        if($data->count()>0)
        {
            return response()->json(['status'=>1,'message'=>'Staticpage data found','result'=>$data],200);
        }
        else
        {
            return response()->json(['status'=>0,'message'=>'Staticpage Not Found'],200);
        }
    }

}
?>