<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Place extends Model
{
    use HasFactory;
    protected $fillable = [
        'placeName',
        'placeImage',
        'phone',
        'email',
        'address',
        'latitude',
        'longitude',
        'isActive'
    ];

    // Define the relationship with materials
    public function materials()
    {
        return $this->belongsToMany(Material::class, 'place_material');
    }

    // Define the relationship with opening hours
    public function openingHours()
    {
        return $this->hasMany(OpeningHour::class);
    }
}
