<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;
       // Table name (optional if it matches Laravel's convention)
    protected $table = 'products';

    // Fillable fields for mass assignment
    protected $fillable = [
        'userId',
        'businessId',
        'productImage',
        'productName',
        'productCategoryId',
        'productDetails',
        'price',
        'qty',
        'isActive'
    ];

    /**
     * Relationships
     */

    // Belongs to User
    public function user()
    {
        return $this->belongsTo(User::class, 'userId');
    }

    // Belongs to Business (user_business table)
    public function business()
    {
        return $this->belongsTo(UserBusiness::class, 'businessId');
    }
}
