<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->foreignId('userId')->constrained('users')->onDelete('cascade');
            $table->foreignId('businessId')->constrained('user_business')->onDelete('cascade');
              $table->string('productImage')->default("");
            $table->string('productName');
            $table->string('productCategoryId')->default("");
            $table->text('productDetails')->nullable();
            $table->decimal('price', 10, 2); // Decimal format for price
            $table->integer('qty');
            $table->tinyInteger('isActive')->default(0)->comment('0= deactive 1=active');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
