@extends('adminpanel.default.master')
@section('title', 'Add/Edit Place')
@section('content')
<style>
    .error-message {
        color: #dc3545;
        font-size: 0.875em;
        margin-top: 0.25rem;
        display: block;
    }
</style>
<?php
$label = "Create";
$id = "";
$placeName = "";
$email = "";
$phone = "";
$address = "";
$latitude = "";
$longitude = "";
$placeImage  = asset('adminpanel/images/default-user.jpg');
$isError = false;
$formRoute = 'adminpanel.place.save';
$selectedMaterials = []; // Initialize selected materials array
$openingHoursData = []; // Initialize opening hours data array

if (isset($data['error'])) {
    $isError = true;
    if ($data['type'] == "Edit") {
        $label = "Edit";
        $formRoute = 'adminpanel.place.update';
    }
    $placeName = $data['input']['placeName'];
    $email = $data['input']['email'];
    $phone = $data['input']['phone'];
    $address = $data['input']['address'];
    $longitude = $data['input']['longitude'];
    $latitude = $data['input']['latitude'];
    if (isset($data['input']['materials'])) {
        $selectedMaterials = $data['input']['materials']; // Retrieve selected materials from error data
    }
    if (isset($data['input']['opening_hours'])) {
        $openingHoursData = $data['input']['opening_hours'];
    }
} else {
    if ($data['type'] == "edit") {
        $label = "Edit";
        $placeName = $data['input'][0]->placeName;
        $email = $data['input'][0]->email;
        $phone = $data['input'][0]->phone;
        $address = $data['input'][0]->address;
        $longitude = $data['input'][0]->longitude;
        $latitude = $data['input'][0]->latitude;
        $id = $data['input'][0]->id;
        $placeImage = $data['input'][0]->placeImage;
        if ($placeImage != "" && $placeImage != null) {
            if (file_exists(public_path() . "/uploads/placeImage/" . $placeImage)) {
                $placeImage = asset('/uploads/placeImage/' . $placeImage);
            } else {
                $placeImage = asset('adminpanel/images/default-user.jpg');
            }
        } else {
            $placeImage = asset('adminpanel/images/default-user.jpg');
        }

        $formRoute = 'adminpanel.place.update';

        // Retrieve selected materials
        if (isset($data['input'][0]->materials)) {
            $selectedMaterials = $data['input'][0]->materials->pluck('id')->toArray();
        }

        // Retrieve opening hours
        if (isset($data['input'][0]->openingHours)) {
            $openingHoursData = $data['input'][0]->openingHours->toArray();
        }
    }
}
?>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>{{ $label }} Place</strong></h4>
        </div>
    </div>
</div>
<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        {{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data')) }}
        {{ Form::hidden('id', $id)}}
        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Place Image</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                <img src="{{ $placeImage }}" id="logoimg1" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                <div class="button-wrapper">
                                    <span class="label">
                                        <img src="{{ asset('adminpanel/images/pencil-edit-button.svg') }}">
                                    </span>
                                    {{ Form::file(
                                        'placeImage',
                                        [
                                            'class'     => 'upload-box',
                                            'id'        => 'profile_picture',
                                            'placeholder' => 'Select Place Image',
                                            'onchange'      => 'displaySingleImagePreview(this, "logoimg1")'
                                        ]
                                    )}}
                                </div>
                            </div>
                            @if(isset($data['error']) && $data['error']->has('placeImage'))
                            <span class="error-message">{{ $data['error']->first('placeImage') }}</span>
                            @endif
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Place Name</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text(
                                'placeName', $placeName,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Place Name',
                                    'required' => false
                                ])
                            }}
                            @if(isset($data['error']) && $data['error']->has('placeName'))
                            <span class="error-message">{{ $data['error']->first('placeName') }}</span>
                            @endif
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Email</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::email(
                                'email', $email,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter email address',
                                    'required' => false
                                ])
                            }}
                            @if(isset($data['error']) && $data['error']->has('email'))
                            <span class="error-message">{{ $data['error']->first('email') }}</span>
                            @endif
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Contact Number</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text(
                                'phone', $phone,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Contact No.',
                                    'required' => false
                                ])
                            }}
                            @if(isset($data['error']) && $data['error']->has('phone'))
                            <span class="error-message">{{ $data['error']->first('phone') }}</span>
                            @endif
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Address</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text(
                                'address',$address,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Address',
                                    'required' => false
                                ])
                            }}
                            @if(isset($data['error']) && $data['error']->has('address'))
                            <span class="error-message">{{ $data['error']->first('address') }}</span>
                            @endif
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Latitude</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text('latitude', $latitude, ['class' => 'form-control', 'placeholder' => 'Enter Latitude']) }}
                            @if(isset($data['error']) && $data['error']->has('latitude'))
                            <span class="error-message">{{ $data['error']->first('latitude') }}</span>
                            @endif
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Longitude</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text('longitude', $longitude, ['class' => 'form-control', 'placeholder' => 'Enter Longitude']) }}
                            @if(isset($data['error']) && $data['error']->has('longitude'))
                            <span class="error-message">{{ $data['error']->first('longitude') }}</span>
                            @endif
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Materials</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <select name="materials[]" class="form-control" multiple>
                                @foreach($materials as $material)
                                <option value="{{ $material->id }}" {{ in_array($material->id, $selectedMaterials) ? 'selected' : '' }}>{{ $material->name }}</option>
                                @endforeach
                            </select>
                            @if(isset($data['error']) && $data['error']->has('materials'))
                            <span class="error-message">{{ $data['error']->first('materials') }}</span>
                            @endif
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one" id="opening-hours-container">

                        <div class="user-pro-detail-content-dt-one opening-hours-item" style="display: none;" id="opening-hours-template">
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Day Range</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="opening_hours[template][dayRange]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Opening Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[template][openingTime]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Closing Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[template][closingTime]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Notes</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <textarea name="opening_hours[template][notes]" class="form-control"></textarea>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <button type="button" class="btn btn-danger remove-hour">Remove</button>
                                </div>
                            </div>
                        </div>

                        @if(count($openingHoursData) > 0)
                        @foreach($openingHoursData as $index => $hour)
                        <div class="user-pro-detail-content-dt-one opening-hours-item">
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Day Range</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="opening_hours[{{ $index }}][dayRange]" class="form-control" value="{{ $hour['dayRange'] }}">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Opening Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[{{ $index }}][openingTime]" class="form-control" value="{{ $hour['openingTime'] }}">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Closing Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[{{ $index }}][closingTime]" class="form-control" value="{{ $hour['closingTime'] }}">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Notes</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <textarea name="opening_hours[{{ $index }}][notes]" class="form-control">{{ $hour['notes'] }}</textarea>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <button type="button" class="btn btn-danger remove-hour">Remove</button>
                                </div>
                            </div>
                        </div>
                        @endforeach
                        @else
                        <div class="user-pro-detail-content-dt-one opening-hours-item">
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <label>Day Range</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="opening_hours[0][dayRange]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <label>Opening Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[0][openingTime]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <label>Closing Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[0][closingTime]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <label>Notes</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <textarea name="opening_hours[0][notes]" class="form-control"></textarea>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <button type="button" class="btn btn-danger remove-hour">Remove</button>
                                </div>
                            </div>
                        </div>
                        @endif
                    </div>
                    <div class="user-pro-detail-content-dt-one ">
                        <div class="user-pro-detail-content-right">
                            <button type="button" id="add-hour" class="btn btn-primary">Add Hours</button>
                        </div>
                    </div>



                </div>
                <div class="next-step-btn-main">
                    {{ Form::button(
                        'Save',
                        [
                            'class' => 'next-step',
                            'type' => 'submit'
                        ]
                    )}}
                </div>
            </div>
        </div>
        {{ Form::close() }}
    </div>
</div>
@push('scripts')
<script>
    document.addEventListener('DOMContentLoaded', function() {
        document.addEventListener('click', function(event) {
            if (event.target.matches('#add-hour')) {
                const container = document.getElementById('opening-hours-container');
                const templateItem = document.getElementById('opening-hours-template'); // get the template
                if (templateItem) {
                    const newItem = templateItem.cloneNode(true);
                    newItem.style.display = 'block'; // make it visible
                    const itemCount = container.querySelectorAll('.opening-hours-item').length;

                    newItem.querySelectorAll('input, textarea').forEach(input => {
                        input.name = input.name.replace(/\[template\]/, `[${itemCount - 1}]`); //adjust name
                    });

                    container.appendChild(newItem);
                } else {
                    console.error("Error: opening-hours-template not found");
                }
            }

            if (event.target.matches('.remove-hour')) {
                event.target.closest('.opening-hours-item').remove();
            }
        });
    });
</script>
@endpush
@endsection