@extends('adminpanel.default.master')
@section('title', 'Add/Edit Product Category')
@section('content')
<style>
    .error-message {
        color: #dc3545;
        font-size: 0.875em;
        margin-top: 0.25rem;
        display: block;
    }
</style>
<?php
$label = "Create";
$id = "";
$categoryName = "";
$isError = false;
$formRoute = 'adminpanel.productcategory.save';
if (isset($data['error'])) {
    $isError = true;
    if ($data['type'] == "Edit") {
        $label = "Edit";
        $formRoute = 'adminpanel.productcategory.update';
    }
    $categoryName = $data['input']['categoryName'];
    $id = $data['input']['id'];
   } else {
    if ($data['type'] == "edit") {
        $label = "Edit";
        $categoryName = $data['input'][0]->categoryName;
        $id = $data['input'][0]->id;
        $formRoute = 'adminpanel.productcategory.update';
    }
}
?>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>{{ $label }} Product Category</strong></h4>
        </div>
    </div>
</div>
<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        {{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data')) }}
        {{ Form::hidden('id', $id)}}
        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Category Name</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text(
                                'categoryName', $categoryName,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Category Name',
                                    'required' => false
                                ])
                            }}
                            @if(isset($data['error']) && $data['error']->has('categoryName'))
                            <span class="error-message">{{ $data['error']->first('categoryName') }}</span>
                            @endif
                        </div>
                    </div>

              </div>
                <div class="next-step-btn-main">
                    {{ Form::button(
                        'Save',
                        [
                            'class' => 'next-step',
                            'type' => 'submit'
                        ])
                    }}
                </div>
            </div>
        </div>
        {{ Form::close() }}
    </div>
</div>

@endsection
