@extends('adminpanel.default.master')
@section('title', 'Admin Profile')
@section('content')
<style>
    .error-message {
        color: #dc3545;
        font-size: 0.875em;
        margin-top: 0.25rem;
        display: block;
    }
</style>

<?php
$label          = 'Add';
$id             = "";
$name           = "";
$username       = "";
$password       = "";
$email          = "";
$isError        = false;
$formRoute      = 'adminpanel.editprofile.update';
if (isset($data['error'])) {
    $isError = true;
    if ($data['type'] == "Edit") {
        $label = 'Edit';
        $formRoute = 'adminpanel.editprofile.update';
    }
    $name           = $data['input']['name'];
    $username       = $data['input']['username'];
    $password       = $data['input']['password'];
    $email          = $data['input']['email'];
    $id          = $data['input']['id'];
} else {
    if ($data['type'] == "Edit") {
        $label          = 'Edit';
        $id             = $data['input'][0]->id;
        $name           = $data['input'][0]->name;
        $username       = $data['input'][0]->username;
        $password       = $data['input'][0]->password;
        $email          = $data['input'][0]->email;
        $formRoute      = 'adminpanel.editprofile.update';
    }
}
?>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>Admin Profile</strong></h4>
        </div>
    </div>
</div>
<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        @if(session()->has('success'))
        <div class="success-message-box">
            {{ session('success') }}
        </div>
        @endif
        {{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data')) }}
        {{ Form::hidden('id', $id) }}
        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Name</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text(
                                                'name', $name,
                                                [
                                                    'class'         => 'form-control',
                                                    'placeholder'   => 'Enter Name',
                                                ])
                                            }}
                            @if(isset($data['error']) && $data['error']->has('name'))
                            <span class="error-message">{{ $data['error']->first('name') }}</span>
                            @endif
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>User Name</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text(
                                                'username', $username,
                                                [
                                                    'class'         => 'form-control',
                                                    'placeholder'   => 'Enter User Name'
                                                ])
                                            }}
                            @if(isset($data['error']) && $data['error']->has('username'))
                            <span class="error-message">{{ $data['error']->first('username') }}</span>
                            @endif
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Email</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::email(
                                                'email', $email,
                                                [
                                                    'class'         => 'form-control',
                                                    'placeholder'   => 'Enter Email'
                                                ])
                                            }}
                            @if(isset($data['error']) && $data['error']->has('email'))
                            <span class="error-message">{{ $data['error']->first('email') }}</span>
                            @endif
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Password</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::password(
                                                'password',
                                                    [
                                                        'class'         => 'form-control',
                                                        'placeholder'   => 'Enter Password'
                                                    ])
                                            }}
                        </div>
                    </div>
                </div>
                <div class="next-step-btn-main">
                    {{ Form::button(
                                        'Save',
                                        [
                                            'class' => 'next-step',
                                            'type' => 'submit'
                                        ])
                                    }}
                </div>
            </div>
        </div>
        {{ Form::close() }}
    </div>
</div>
@endsection