@extends('adminpanel.default.master')
@section('title', 'Manage Business Category')
@section('content')

<div class="top-dashboard-title">
    <div class="d-code-main listing-page-head-src">
        <div class="d-title">
            <h4><strong>Business Category</strong><span>|</span>{{ $data->total() }} Total</h4>
            <div class="input-group md-form form-sm form-2 pl-0">
                <form method="get" action="{{ route('adminpanel.businesscategory.search') }}" enctype="multipart/form-data" style="display: flex;" id="search_form">
                    <input class="form-control my-0 py-1" type="text" name="search" placeholder="Search..." aria-label="Search">
                    <div class="input-group-append">
                        <span class="input-group-text lighten-3" id="basic-text1"><i class="fas fa-search text-grey"
                                aria-hidden="true"></i></span>
                    </div>
                </form>
            </div>
            <div class="filter-range-picker">
            </div>
        </div>
    </div>
    <div class="action-btn listing-page-head-btn">
        <a href="{{ route('adminpanel.businesscategory.add') }}" class="btn-main">Add Business Category</a>
    </div>
</div>

<div class="dashboard-content-main add-user-main listing-page-main">
    <div class="add-user-one-main-content padding-zero">
        @if(session()->has('success'))
        <div class="success-message-box">
            {{ session('success') }}
        </div>
        @endif
        @if($errors->any())
        <div class="error-message-box">
            <p>{{$errors->first()}}</p>
        </div>
        @endif
        <div class="table-responsive data-table-main">
            <table id="example" class="table table-striped table-bordered" style="width:100%">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Category Name</th>
                        <th>Status</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $counter = 0; ?>
                    @foreach ($data as $d)
                    <?php $counter++; ?>
                    <tr>
                        <td>{{ $counter }}</td>
                        <td>{{ $d->categoryName}}</td>
                        <td>
                            @if($d->isActive==1)
                            <span class="success-main alert-success">Active</span>
                            @else
                            <span class="success-main alert-danger">Deactive</span>
                            @endif
                        </td>

                        <td class="dropdown-td">
                            <a href="javascript:;" data-toggle="dropdown"><img src="{{ asset('adminpanel/images/icon.png') }}"></a>
                            <div class="dropdown-menu" style="white-space: normal;">
                                <a class="dropdown-item" href="{{ url('/adminpanel/editbusinesscategory/'.$d->id) }}"><span><i class="fas fa-edit"></i></span>Edit</a>
                                <a class="dropdown-item" href="javascript:void(0)" onclick="confirmDelete('Business Category', '{{ url('/adminpanel/deletebusinesscategory/'.$d->id) }}')"><span><i class="fas fa-trash-alt"></i></span>Delete</a>
                                @if($d->isActive==1)
                                <a class="dropdown-item" href="javascript:void(0)" onclick="confirmBlock('Business Category', '{{ url('/adminpanel/deactivebusinesscategory/'.$d->id) }}')"><span><i class="fas fa-lock"></i></span>Deactive</a>
                                @else
                                <a class="dropdown-item" href="javascript:void(0)" onclick="confirmUnBlock('Business Category', '{{ url('/adminpanel/activebusinesscategory/'.$d->id) }}')"><span><i class="fas fa-user"></i></span>Active</a>
                                @endif
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        <div class="listing-page-main-bottom">
            <div class="listing-page-main-bottom-left">
                {{ $data->render() }}
            </div>
            <div class="listing-page-main-bottom-right">
                <div class="listing-page-main-bottom-right-drop-down">
                </div>
                <div class="listing-page-main-bottom-right-cnt">
                    <p>Showing {{ $data->firstItem() }} - {{ $data->lastItem() }} of {{ $data->total() }}</p>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
