@extends('adminpanel.default.master')
@section('title', 'Manage Post')
@section('content')

<div class="top-dashboard-title">
    <div class="d-code-main listing-page-head-src">
        <div class="d-title">
            <h4><strong>Posts</strong><span>|</span>{{ $data->total() }} Total</h4>
            <div class="input-group md-form form-sm form-2 pl-0">
                <form method="get" action="{{ route('adminpanel.post.search') }}" enctype="multipart/form-data" style="display: flex;" id="search_form">
                    <input class="form-control my-0 py-1" type="text" name="search" placeholder="Search..." aria-label="Search">
                    <div class="input-group-append">
                        <span class="input-group-text lighten-3" id="basic-text1"><i class="fas fa-search text-grey"
                                aria-hidden="true"></i></span>
                    </div>
                </form>
            </div>
            <div class="filter-range-picker">
            </div>
        </div>
    </div>
    <div class="action-btn listing-page-head-btn">
        {{-- <a href="" class="btn-main">Add User</a> --}}
    </div>
</div>

<div class="dashboard-content-main add-user-main listing-page-main">
    <div class="add-user-one-main-content padding-zero">
        @if(session()->has('success'))
        <div class="success-message-box">
            {{ session('success') }}
        </div>
        @endif
        @if($errors->any())
        <div class="error-message-box">
            <p>{{$errors->first()}}</p>
        </div>
        @endif
        <div class="table-responsive data-table-main">
            <table id="example" class="table table-striped table-bordered" style="width:100%">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Post Type</th>
                        <th>Post Image</th>
                        <th>Up Votes</th>
                        <th>Down Votes </th>
                        <th>Comments</th>
                        <th>Created By</th>
                        <th>Post Rating</th>
                        <th>Status</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $counter = 0; ?>
                    @foreach ($data as $d)
                    <?php $counter++; ?>
                    <tr>
                        <td>{{ $counter }}</td>
                        <td>
                            @if($d->post_type_id==1)
                           Text
                            @elseif($d->post_type_id==2)
                            Post
                            @elseif($d->post_type_id==3)
                            Event
                            @endif
                        </td>
                        <td>
                            <span class="user-name-main">
                            <?php
                                $postImage = asset('uploads/default-user.jpg');
                                if($d->image_1!="" && $d->image_1!=null)
                                {
                                    if(file_exists(public_path()."/uploads/Posts_images/".$d->image_1))
                                    {
                                        $postImage = URL::asset('uploads/Posts_images/'.$d->image_1);
                                    }
                                }
                            ?>
                            <span class="bck-clr"><img src="{{ $postImage }}" ></span>
                        </td>
                        <?php $UpVote = \App\Models\Post_rating::where('post_id', $d->id)->where('vote',1)->count();
                        $downVote = \App\Models\Post_rating::where('post_id', $d->id)->where('vote',0)->count();
                        $avgrating = \App\Models\Post_rating::where('post_id', $d->id)->avg('vote');
                        $commentCounter = \App\Models\Postcomment::where('postId', $d->id)->count(); ?>
                        <td>{{ $UpVote}}</td>
                        <td>{{ $downVote}}</td>
                        <td>{{ $commentCounter}}</td>
                        <?php  $user_name = \App\Models\User::where('id', $d->user_id)->where('is_active', 1)->value('username'); ?>
                        <td>{{ $user_name }}</td>
                        <td>{{round($avgrating,1)}}</td>
                        <td>
                            @if($d->active==1)
                            <span class="success-main alert-success">Active</span>
                            @elseif($d->active==2)
                            <span class="success-main alert-danger">Block</span>
                            @elseif($d->active==0)
                            <span class="success-main alert-danger">Deleted</span>
                            @endif
                        </td>
                       
                        <td class="dropdown-td">
                            <a href="javascript:;" data-toggle="dropdown"><img src="{{ asset('adminpanel/images/icon.png') }}"></a>
                            <div class="dropdown-menu" style="white-space: normal;">
                                
                            @if($d->active==1)
                                <a class="dropdown-item" href="javascript:void(0)" onclick="confirmBlock('Post', '{{ url('/adminpanel/blockpost/'.$d->id) }}')"><span><i class="fas fa-lock"></i></span>Block</a>
                            @elseif($d->active==2)
                                <a class="dropdown-item" href="javascript:void(0)" onclick="confirmUnBlock('Post', '{{ url('/adminpanel/unblockpost/'.$d->id) }}')"><span><i class="fas fa-user"></i></span>Un Block</a>
                            @endif
                                <a class="dropdown-item" href="{{ url('/adminpanel/postdetail/'.$d->id) }}"><span><i class="fas fa-eye"></i></span>Post Details</a>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        <div class="listing-page-main-bottom">
            <div class="listing-page-main-bottom-left">
                {{ $data->render() }}
            </div>
            <div class="listing-page-main-bottom-right">
                <div class="listing-page-main-bottom-right-drop-down">
                    <!-- <select class="classic arrow">
                                        <option value="1">10</option>
                                        <option value="1">10</option>
                                        <option value="1">10</option>
                                        <option value="1">10</option>
                                    </select> -->
                </div>
                <div class="listing-page-main-bottom-right-cnt">
                    <p>Showing {{ $data->firstItem() }} - {{ $data->lastItem() }} of {{ $data->total() }}</p>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection