@extends('adminpanel.default.master')

@section('title', 'View Post Detail')

@section('content')
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>View Post Detail</strong></h4>
        </div>
    </div>
</div>

@if(session()->has('success'))
<div class="dashboard-content-main add-user-main" style="margin-top: 0px;">
    <div class="add-user-one-main-content">
        <div class="success-message-box">
            {{ session('success') }}
        </div>
    </div>
</div>
@endif

<div class="dashboard-content-main add-user-main" style="width:50%;margin: 0px;">
    <div class="add-user-one-main-content">
        <div class="">
            <div class="user-pro-detail-sub-content">
                <div class="">
                    <h4>User Detail</h4>
                </div>
                <table border="1" class="table table-striped table-bordered" style="width:100%">
                    <tr>
                        <td>Username</td>
                        <td>{{ $post->user->username ?? 'N/A' }}</td>
                    </tr>
                    <tr>
                        <td>Created At</td>
                        <td>{{ $post->created_at->format('d M Y, h:i A') }}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main" style="margin: 0px;">
    <div class="add-user-one-main-content">
        <div class="data-table-main">
            <h4>Post Details</h4>
            <table id="example1" class="table table-striped table-bordered" style="width:100%">
                <thead>
                    <tr>
                        <th>Post Image</th>
                        <th>Up Votes</th>
                        <th>Down Votes</th>
                        <th>Average Rating</th>
                        <th>Status</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <span class="user-name-main">
                                <?php
                                $sImage =  asset('adminpanel/images/default-user.jpg');
                                if ($post->image_1 != "" && $post->image_1 != null) {
                                    if (file_exists(public_path() . "/uploads/Posts_images/" . $post->image_1)) {
                                        $sImage = asset('/uploads/Posts_images/' . $post->image_1);
                                    }
                                }
                                ?>
                                <a href="{{ $sImage }}" target="_blank">
                                    <span class="bck-clr"><img src="{{ $sImage }}"></span>
                                </a>
                            </span>
                        </td>
                        <td>{{ $post->ratings()->where('vote', 1)->count() }}</td>
                        <td>{{ $post->ratings()->where('vote', 0)->count() }}</td>
                        <td>{{ round($post->ratings()->avg('vote'), 1) }}</td>
                        <td>
                            @if($post->active == 1)
                            <span class="success-main alert-success">Active</span>
                            @elseif($post->active == 2)
                            <span class="success-main alert-danger">Blocked</span>
                            @else
                            <span class="success-main alert-danger">Deleted</span>
                            @endif
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<!-- <div class="dashboard-content-main add-user-main" style="margin: 0px;">
    <div class="add-user-one-main-content">
        <div class="data-table-main">
            <h4>Comments ({{ $post->comments->count() }})</h4>
            <table id="example2" class="table table-striped table-bordered" style="width:100%">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>User</th>
                        <th>Comment</th>
                        <th>Created At</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($post->comments as $index => $comment)
                    <tr>
                        <td>{{ $index + 1 }}</td>
                        <td>{{ $comment->user->username ?? 'Unknown User' }}</td>
                        <td>{{ $comment->comment }}</td>
                        <td>{{ $comment->created_at->format('d M Y, h:i A') }}</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div> -->
<div class="dashboard-content-main add-user-main" style="margin: 0px;">
    <div class="add-user-one-main-content">
        <div class="">
            <div class="user-pro-detail-sub-content">
                <div class="">
                    <h4>Post Images</h4>
                </div>
                <div class="row">
                    @for ($i = 1; $i <= 5; $i++)
                        @php
                        $imageField="image_" . $i;
                        $pImage=asset('adminpanel/images/default-user.jpg');
                        if ($post->$imageField != "" && $post->$imageField != null) {
                        if (file_exists(public_path() . "/uploads/Posts_images/" . $post->$imageField)) {
                        $pImage = asset('/uploads/Posts_images/' . $post->$imageField);
                        }
                        }
                        @endphp
                        @if($post->$imageField)
                        <div class="col-3 mt-2 mb-2" style="text-align: center;">
                            <div class="image-container">
                                <a href="{{ $pImage }}" target="_blank">
                                    <img src="{{ $pImage }}" class="post-detail-image" />
                                </a>
                                <div class="image-label">Image {{ $i }}</div>
                            </div>
                        </div>
                        @endif
                        @endfor
                </div>
            </div>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main" style="margin: 0px;">
    <div class="add-user-one-main-content">
        <div class="">
            <div class="user-pro-detail-sub-content">
                <div class="">
                    <h4>Post Video</h4>
                </div>
                <div class="row">
                    @if($post->video)
                    <div class="col-6 mt-2 mb-2">
                        <div class="video-container">
                            <?php
                            $videoPath = asset('adminpanel/images/default-video-thumb.jpg');
                            if ($post->video != "" && $post->video != null) {
                                if (file_exists(public_path() . "/uploads/Posts_videos/" . $post->video)) {
                                    $videoPath = asset('/uploads/Posts_videos/' . $post->video);
                                }
                            }
                            ?>
                            <video controls class="post-detail-video">
                                <source src="{{ $videoPath }}" type="video/mp4">
                                Your browser does not support the video tag.
                            </video>
                        </div>
                    </div>
                    @else
                    <div class="col-12">
                        <p class="no-video-text">No video available for this post.</p>
                    </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div>
<div class="dashboard-content-main add-user-main" style="margin: 0px;">
</div>
<style>
    /* Add these styles to your existing style section */
    .post-detail-video {
        width: 100%;
        max-width: 640px;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }

    .video-container {
        margin-bottom: 20px;
    }

    .no-video-text {
        color: #666;
        font-style: italic;
        padding: 20px;
        text-align: center;
    }
</style>
<style>
    /* Add these styles to your existing style section */
    .post-detail-image {
        width: 200px;
        height: 200px;
        object-fit: cover;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        transition: transform 0.2s;
    }

    .post-detail-image:hover {
        transform: scale(1.05);
    }

    .image-container {
        position: relative;
        margin-bottom: 20px;
    }

    .image-label {
        margin-top: 8px;
        font-size: 14px;
        color: #666;
    }

    .row {
        display: flex;
        flex-wrap: wrap;
        margin: -10px;
        padding: 15px;
    }

    .col-3 {
        flex: 0 0 25%;
        padding: 10px;
    }
</style>
<style>
    .success-main {
        padding: 5px 10px;
        border-radius: 4px;
        display: inline-block;
    }

    .alert-success {
        background-color: #dff0d8;
        color: #3c763d;
    }

    .alert-danger {
        background-color: #f2dede;
        color: #a94442;
    }

    .bck-clr img {
        width: 50px;
        height: 50px;
        object-fit: cover;
        border-radius: 4px;
    }
</style>
@endsection