@extends('adminpanel.default.master')
<?php
$label = "Update";
$pageTitle = "";

$description = "";
$contact = "";
$email = "";
$address = "";
$id = "";
$isError = false;
$formURL = route('adminpanel.staticpage.updatepage');
$picture = asset('adminpanel/images/default-user.jpg');

if (isset($data['error'])) {
    $isError = true;
    $pageTitle = $data['pagedata']['pageTitle'];
    $description = $data['pagedata']['description'];
    $id = $data['pagedata']['id'];
} else {
    if ($data['type'] == "edit") {

        $id = $data['pagedata'][0]->id;
        $pageTitle = $data['pagedata'][0]->pageTitle;
        $description = $data['pagedata'][0]->description;

        $picture1 = $data['pagedata'][0]->picture;
        if ($picture1 != "" && $picture1 != null) {
            if (file_exists(public_path() . "/uploads/staticpage_images/" . $picture1)) {
                $picture = asset('uploads/staticpage_images/' . $picture1);
            }
        }
        if ($id == 4) {
            $contact = $data['pagedata'][0]->contact;
            $email = $data['pagedata'][0]->email;
            $address = $data['pagedata'][0]->address;
        }
    }
}
?>
@section('title', $pageTitle)
@section('content')

<style>
.error-message {
    color: #dc3545;
    font-size: 0.875em;
    margin-top: 0.25rem;
    display: block;
}
</style>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>{{$pageTitle}}</strong></h4>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        <div class="add-user-one-main-content-top">
            @if(session()->has('success'))
            <div class="success-message-box">
                {{ session('success') }}
            </div>
            @endif
            @if($isError)
            <div class="error-message-box">
                <?php foreach ($data['error']->all() as $error) {
                    echo "<p>" . $error . "</p>";
                } ?>
            </div>
            @endif
        </div>
        <form method="post" action="{{ $formURL }}" enctype="multipart/form-data">
            <input name="_token" type="hidden" value="{{ csrf_token() }}" />
            <input name="id" type="hidden" value="{{ $id }}" />
            <div class="user-pro-detail-main-content">
                <div class="user-pro-detail-sub-content">

                    <div class="user-pro-detail-content">
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Image</label>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <div class="user-img-main"
                                    style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                    <img src="{{ $picture }}" id="useimg"
                                        style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                    <div class="button-wrapper">
                                        <span class="label"><img
                                                src="{{ asset('adminpanel/images/pencil-edit-button.svg') }}"></span>
                                        <input type="file" name="picture" id="upload" class="upload-box"
                                            placeholder="Upload File"
                                            onchange="displaySingleImagePreview(this, 'useimg')">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Page title</label><span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <input type="text" placeholder="Enter page title" name="pageTitle" class="form-control"
                                    value="{{ $pageTitle }}">
                                @if(isset($data['error']) && $data['error']->has('pageTitle'))
                                <span class="error-message">{{ $data['error']->first('pageTitle') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Page description</label><span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <?php
                                include('./public/adminpanel/FCKeditor/fckeditor.php');
                                $oFCKeditor4 = new FCKeditor('description');
                                $oFCKeditor4->BasePath = '../../public/adminpanel/FCKeditor/';
                                $oFCKeditor4->Value = $description;
                                $oFCKeditor4->Height = 500;
                                $oFCKeditor4->Create();
                                ?>
                            </div>
                        </div>
                        <?php
                        if ($id == 4) {
                        ?>
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Contact</label><span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <input type="text" placeholder="Enter contact" name="contact" class="form-control"
                                    value="{{ $contact }}">
                            </div>
                        </div>
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Email</label><span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <input type="text" placeholder="Enter email" name="email" class="form-control"
                                    value="{{ $email }}">
                            </div>
                        </div>
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Address</label><span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <input type="text" placeholder="Enter address" name="address" class="form-control"
                                    value="{{ $address }}">
                            </div>
                        </div>
                        <?php
                        }
                        ?>
                    </div>
                    <div class="next-step-btn-main">
                        <button type="submit" class="next-step">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

@endsection