<?php

// use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('', function () {
	return redirect('/login');
})->name('index');
Route::get('/login', 'AuthController@login')->name('login');
Route::post('/login', 'AuthController@submitlogin')->name('submitlogin');
Route::get('/logout', 'AuthController@logout')->name('logout');
Route::get('/forgotpassword', 'AuthController@forgotpassword')->name('forgotpassword');
Route::post('/submitforgotpassword', 'AuthController@submitforgotpassword')->name('submitforgotpassword');
Route::group(['middleware' => 'auth:admin'], function () {

	// Edit profile
	Route::get('/editprofile/{id}', 'AdminController@edit')->name('editprofile.edit');
	Route::post('/editprofile', 'AdminController@update')->name('editprofile.update');


	//Dashboard
	Route::get('/dashboard', 'DashboardController@index')->name('dashboard');

	//USER
	Route::get('/manageuser', 'UserController@manage')->name('user.manage');
	Route::get('/adduser', 'UserController@add')->name('user.add');
	Route::post('/adduser', 'UserController@save')->name('user.save');
	Route::get('/edituser/{id}', 'UserController@edit')->name('user.edit');
	Route::post('/edituser', 'UserController@update')->name('user.update');
	Route::get('/deleteuser/{id}', 'UserController@delete')->name('user.delete');
	Route::get('/deactiveplace/{id}', 'PlaceController@deactive')->name('user.deactive');
	Route::get('/activeplace/{id}', 'PlaceController@active')->name('user.active');
	Route::get('/searchuser', 'UserController@search')->name('user.search');

	Route::post('/user/validate', 'UserController@validateForm')->name('adminpanel.user.validate');
	//Staticpages
	Route::get('/staticpages/{id}', 'StaticpageController@getpage')->name('staticpage.getpage');
	Route::post('/staticpages', 'StaticpageController@updatepage')->name('staticpage.updatepage');

	//Country
	Route::get('/managecountry', 'CityController@managecountry')->name('country.managecountry');
	Route::get('/searchcountry', 'CityController@searchcountry')->name('country.searchcountry');

	//Place
	Route::get('/manageplace', 'PlaceController@manage')->name('place.manage');
	Route::get('/addplace', 'PlaceController@add')->name('place.add');
	Route::post('/addplace', 'PlaceController@save')->name('place.save');
	Route::get('/editplace/{id}', 'PlaceController@edit')->name('place.edit');
	Route::post('/editplace', 'PlaceController@update')->name('place.update');
	Route::get('/deleteplace/{id}', 'PlaceController@delete')->name('place.delete');
	Route::get('/deactiveplace/{id}', 'PlaceController@block')->name('place.deactive');
	Route::get('/activeplace/{id}', 'PlaceController@unblock')->name('place.active');
	Route::get('/searchplace', 'PlaceController@search')->name('place.search');

	  //business category
	  Route::get('/managebusinesscategory', 'BusinessCategoryController@manage')->name('businesscategory.manage');
	  Route::get('/addbusinesscategory', 'BusinessCategoryController@add')->name('businesscategory.add');
	  Route::post('/addbusinesscategory', 'BusinessCategoryController@save')->name('businesscategory.save');
	  Route::get('/editbusinesscategory/{id}', 'BusinessCategoryController@edit')->name('businesscategory.edit');
	  Route::post('/editbusinesscategory', 'BusinessCategoryController@update')->name('businesscategory.update');
	  Route::get('/deletebusinesscategory/{id}', 'BusinessCategoryController@delete')->name('businesscategory.delete');
	  Route::get('/deactivebusinesscategory/{id}', 'BusinessCategoryController@deactive')->name('businesscategory.deactive');
	  Route::get('/activebusinesscategory/{id}', 'BusinessCategoryController@active')->name('businesscategory.active');
	  Route::get('/searchbusinesscategory', 'BusinessCategoryController@search')->name('businesscategory.search');

	   //product category
	   Route::get('/manageproductcategory', 'ProductCategoryController@manage')->name('productcategory.manage');
	   Route::get('/addproductcategory', 'ProductCategoryController@add')->name('productcategory.add');
	   Route::post('/addproductcategory', 'ProductCategoryController@save')->name('productcategory.save');
	   Route::get('/editproductcategory/{id}', 'ProductCategoryController@edit')->name('productcategory.edit');
	   Route::post('/editproductcategory', 'ProductCategoryController@update')->name('productcategory.update');
	   Route::get('/deleteproductcategory/{id}', 'ProductCategoryController@delete')->name('productcategory.delete');
	   Route::get('/deactiveproductcategory/{id}', 'ProductCategoryController@deactive')->name('productcategory.deactive');
	   Route::get('/activeproductcategory/{id}', 'ProductCategoryController@active')->name('productcategory.active');
	   Route::get('/searchproductcategory', 'ProductCategoryController@search')->name('productcategory.search');
});