<?php $__env->startSection('title', 'Add/Edit Place'); ?>
<?php $__env->startSection('content'); ?>
<style>
    .error-message {
        color: #dc3545;
        font-size: 0.875em;
        margin-top: 0.25rem;
        display: block;
    }
</style>
<?php
$label = "Create";
$id = "";
$placeName = "";
$email = "";
$phone = "";
$address = "";
$latitude = "";
$longitude = "";
$placeImage  = asset('adminpanel/images/default-user.jpg');
$isError = false;
$formRoute = 'adminpanel.place.save';
$selectedMaterials = []; // Initialize selected materials array
$openingHoursData = []; // Initialize opening hours data array

if (isset($data['error'])) {
    $isError = true;
    if ($data['type'] == "Edit") {
        $label = "Edit";
        $formRoute = 'adminpanel.place.update';
    }
    $placeName = $data['input']['placeName'];
    $email = $data['input']['email'];
    $phone = $data['input']['phone'];
    $address = $data['input']['address'];
    $longitude = $data['input']['longitude'];
    $latitude = $data['input']['latitude'];
    if (isset($data['input']['materials'])) {
        $selectedMaterials = $data['input']['materials']; // Retrieve selected materials from error data
    }
    if (isset($data['input']['opening_hours'])) {
        $openingHoursData = $data['input']['opening_hours'];
    }
} else {
    if ($data['type'] == "edit") {
        $label = "Edit";
        $placeName = $data['input'][0]->placeName;
        $email = $data['input'][0]->email;
        $phone = $data['input'][0]->phone;
        $address = $data['input'][0]->address;
        $longitude = $data['input'][0]->longitude;
        $latitude = $data['input'][0]->latitude;
        $id = $data['input'][0]->id;
        $placeImage = $data['input'][0]->placeImage;
        if ($placeImage != "" && $placeImage != null) {
            if (file_exists(public_path() . "/uploads/placeImage/" . $placeImage)) {
                $placeImage = asset('/uploads/placeImage/' . $placeImage);
            } else {
                $placeImage = asset('adminpanel/images/default-user.jpg');
            }
        } else {
            $placeImage = asset('adminpanel/images/default-user.jpg');
        }

        $formRoute = 'adminpanel.place.update';

        // Retrieve selected materials
        if (isset($data['input'][0]->materials)) {
            $selectedMaterials = $data['input'][0]->materials->pluck('id')->toArray();
        }

        // Retrieve opening hours
        if (isset($data['input'][0]->openingHours)) {
            $openingHoursData = $data['input'][0]->openingHours->toArray();
        }
    }
}
?>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong><?php echo e($label); ?> Place</strong></h4>
        </div>
    </div>
</div>
<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        <?php echo e(Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data'))); ?>

        <?php echo e(Form::hidden('id', $id)); ?>

        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Place Image</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                <img src="<?php echo e($placeImage); ?>" id="logoimg1" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                <div class="button-wrapper">
                                    <span class="label">
                                        <img src="<?php echo e(asset('adminpanel/images/pencil-edit-button.svg')); ?>">
                                    </span>
                                    <?php echo e(Form::file(
                                        'placeImage',
                                        [
                                            'class'     => 'upload-box',
                                            'id'        => 'profile_picture',
                                            'placeholder' => 'Select Place Image',
                                            'onchange'      => 'displaySingleImagePreview(this, "logoimg1")'
                                        ]
                                    )); ?>

                                </div>
                            </div>
                            <?php if(isset($data['error']) && $data['error']->has('placeImage')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('placeImage')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Place Name</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text(
                                'placeName', $placeName,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Place Name',
                                    'required' => false
                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('placeName')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('placeName')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Email</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::email(
                                'email', $email,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter email address',
                                    'required' => false
                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('email')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('email')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Contact Number</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text(
                                'phone', $phone,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Contact No.',
                                    'required' => false
                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('phone')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('phone')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Address</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text(
                                'address',$address,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Address',
                                    'required' => false
                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('address')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('address')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Latitude</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text('latitude', $latitude, ['class' => 'form-control', 'placeholder' => 'Enter Latitude'])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('latitude')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('latitude')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Longitude</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text('longitude', $longitude, ['class' => 'form-control', 'placeholder' => 'Enter Longitude'])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('longitude')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('longitude')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Materials</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <select name="materials[]" class="form-control" multiple>
                                <?php $__currentLoopData = $materials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $material): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($material->id); ?>" <?php echo e(in_array($material->id, $selectedMaterials) ? 'selected' : ''); ?>><?php echo e($material->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if(isset($data['error']) && $data['error']->has('materials')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('materials')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one" id="opening-hours-container">

                        <div class="user-pro-detail-content-dt-one opening-hours-item" style="display: none;" id="opening-hours-template">
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Day Range</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="opening_hours[template][dayRange]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Opening Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[template][openingTime]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Closing Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[template][closingTime]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Notes</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <textarea name="opening_hours[template][notes]" class="form-control"></textarea>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <button type="button" class="btn btn-danger remove-hour">Remove</button>
                                </div>
                            </div>
                        </div>

                        <?php if(count($openingHoursData) > 0): ?>
                        <?php $__currentLoopData = $openingHoursData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $hour): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="user-pro-detail-content-dt-one opening-hours-item">
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Day Range</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="opening_hours[<?php echo e($index); ?>][dayRange]" class="form-control" value="<?php echo e($hour['dayRange']); ?>">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Opening Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[<?php echo e($index); ?>][openingTime]" class="form-control" value="<?php echo e($hour['openingTime']); ?>">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Closing Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[<?php echo e($index); ?>][closingTime]" class="form-control" value="<?php echo e($hour['closingTime']); ?>">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Notes</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <textarea name="opening_hours[<?php echo e($index); ?>][notes]" class="form-control"><?php echo e($hour['notes']); ?></textarea>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <button type="button" class="btn btn-danger remove-hour">Remove</button>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                        <div class="user-pro-detail-content-dt-one opening-hours-item">
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <label>Day Range</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="opening_hours[0][dayRange]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <label>Opening Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[0][openingTime]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <label>Closing Time</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="time" name="opening_hours[0][closingTime]" class="form-control">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <label>Notes</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <textarea name="opening_hours[0][notes]" class="form-control"></textarea>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one ">
                                <div class="user-pro-detail-content-left">
                                    <button type="button" class="btn btn-danger remove-hour">Remove</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                    </div>
                    <div class="user-pro-detail-content-dt-one ">
                        <div class="user-pro-detail-content-right">
                            <button type="button" id="add-hour" class="btn btn-primary">Add Hours</button>
                        </div>
                    </div>



                </div>
                <div class="next-step-btn-main">
                    <?php echo e(Form::button(
                        'Save',
                        [
                            'class' => 'next-step',
                            'type' => 'submit'
                        ]
                    )); ?>

                </div>
            </div>
        </div>
        <?php echo e(Form::close()); ?>

    </div>
</div>
<?php $__env->startPush('scripts'); ?>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        document.addEventListener('click', function(event) {
            if (event.target.matches('#add-hour')) {
                const container = document.getElementById('opening-hours-container');
                const templateItem = document.getElementById('opening-hours-template'); // get the template
                if (templateItem) {
                    const newItem = templateItem.cloneNode(true);
                    newItem.style.display = 'block'; // make it visible
                    const itemCount = container.querySelectorAll('.opening-hours-item').length;

                    newItem.querySelectorAll('input, textarea').forEach(input => {
                        input.name = input.name.replace(/\[template\]/, `[${itemCount - 1}]`); //adjust name
                    });

                    container.appendChild(newItem);
                } else {
                    console.error("Error: opening-hours-template not found");
                }
            }

            if (event.target.matches('.remove-hour')) {
                event.target.closest('.opening-hours-item').remove();
            }
        });
    });
</script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('adminpanel.default.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/keshavvps/public_html/keshav/KG2/UTK/resources/views/adminpanel/addplace.blade.php ENDPATH**/ ?>