@extends('adminpanel.default.master')
@section('title', 'Manage Country')
@section('content')

<div class="top-dashboard-title">
    <div class="d-code-main listing-page-head-src">
        <div class="d-title">
            <h4><strong>Countries</strong><span>|</span>{{ $data->total() }} Total</h4>
            <div class="input-group md-form form-sm form-2 pl-0">
                <form method="get" action="{{ route('adminpanel.country.searchcountry') }}" enctype="multipart/form-data" style="display: flex;" id="search_form">
                    <input class="form-control my-0 py-1" type="text" name="search" placeholder="Search..." aria-label="Search">
                    <div class="input-group-append">
                        <span class="input-group-text lighten-3" id="basic-text1"><i class="fas fa-search text-grey"
                                aria-hidden="true"></i></span>
                    </div>
                </form>
            </div>
            <div class="filter-range-picker">
            </div>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main listing-page-main">
    <div class="add-user-one-main-content padding-zero">
        @if(session()->has('success'))
        <div class="success-message-box">
            {{ session('success') }}
        </div>
        @endif
        @if($errors->any())
        <div class="error-message-box">
            <p>{{$errors->first()}}</p>
        </div>
        @endif
        <div class="table-responsive data-table-main">
            <table id="example" class="table table-striped table-bordered" style="width:100%">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Country Code</th>
                        <th>Phone Code</th>
                        <th>Country Name</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $counter = 0; ?>
                    @foreach ($data as $d)
                    <?php $counter++; ?>
                    <tr>
                        <td>{{ $counter }}</td>
                        <td>{{ $d->country_code}}</td>
                        <td>{{ $d->phone_code}}</td>
                        <td>{{ $d->country_name}}</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        <div class="listing-page-main-bottom">
            <div class="listing-page-main-bottom-left">
                {{ $data->render() }}
            </div>
            <div class="listing-page-main-bottom-right">
                <div class="listing-page-main-bottom-right-drop-down">
                    <!-- <select class="classic arrow">
                                        <option value="1">10</option>
                                        <option value="1">10</option>
                                        <option value="1">10</option>
                                        <option value="1">10</option>
                                    </select> -->
                </div>
                <div class="listing-page-main-bottom-right-cnt">
                    <p>Showing {{ $data->firstItem() }} - {{ $data->lastItem() }} of {{ $data->total() }}</p>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection