<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('/allStaticpage', 'StaticpageController@allStaticpage')->name('allStaticpage');
Route::get('/getstaticpage', 'StaticpageController@getstaticpage')->name('getstaticpage');

// User
Route::post('/register', 'UserController@register')->name('register');
Route::post('/login', 'UserController@login')->name('login');
Route::post('/forgotPassword', 'UserController@forgotPassword')->name('forgotPassword');
Route::post('/logout', 'UserController@logout')->name('logout');
Route::get('/getUserProfile', 'UserController@getUserProfile')->name('getUserProfile');
Route::get('/getOtherUserProfile', 'UserController@getOtherUserProfile')->name('getOtherUserProfile');
Route::post('/updateProfile', 'UserController@updateProfile')->name('updateProfile');
Route::post('/changePassword', 'UserController@changePassword')->name('changePassword');
Route::post('/deleteAccount', 'UserController@deleteAccount')->name('deleteAccount');

//Product
Route::post('/addProduct', 'ProductController@addProduct')->name('addProduct');
Route::post('/updateProduct', 'ProductController@updateProduct')->name('updateProduct');
Route::post('/deleteProduct', 'ProductController@deleteProduct')->name('deleteProduct');
Route::get('/getProductList', 'ProductController@getProductList')->name('getProductList');
Route::get('/getProductDetail', 'ProductController@getProductDetail')->name('getProductDetail');
Route::get('/searchProduct', 'ProductController@searchProduct')->name('searchProduct');