<?php
$menu = array(
    "Profile" => array(
        "icon" => "user.png",
        "sub" => "editprofile/1"
    ),
    "Dashboard" => array(
        "icon" => "home.png",
        "sub" => "dashboard"
    ),
    "Users" => array(
        "icon" => "user.png",
        "sub" => array(
            "Manage User" => "manageuser",
            "Add User"    => "adduser"
        )
    ),

    "Staticpages" => array(
        "icon" => "staticpage.png",
        "sub" => array(
            "About us" => "staticpages/1",
            "Privacy Policy" => "staticpages/2",
            "Terms and condition" => "staticpages/3",
            "Contact Us" => "staticpages/4",
        )
    ),
    "Log out" => array(
        "icon" => "log-out.png",
        "sub" => "logout"
    ),
);
?>
<style>
    .sidebar-main {
        transition: all 0.3s ease;
        width: 250px;
        /* default width */
    }

    .sidebar-main.sidemenu-effect {
        width: 70px;
        /* collapsed width */
    }

    .top-logo-main {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 15px;
    }

    .top-logo-main h4 {
        transition: all 0.3s ease;
    }

    .sidemenu-effect .top-logo-main h4 {
        display: none;
    }

    .sidemenu-effect .menu-text,
    .sidemenu-effect .menu-arrow {
        display: none;
    }

    .close-sidemenu {
        min-width: 24px;
        /* Ensure toggle button maintains size */
        display: flex;
        justify-content: center;
    }
</style>


<div class="sidebar-main desktop-view">

    <div class="top-logo-main">
        <h4 style="color:#fff;">Bridge</h4>
        <a href="javascript:;" class="close-sidemenu">
            <img src="<?php echo e(asset('adminpanel/images/side.png')); ?>" alt="toggle">
        </a>
    </div>
    <div class="sidebar-menu-main">
        <ul>
            <!-- <li>
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/home.png')); ?>"></span>
                            <span class="menu-text">Dashboard</span>
                        </a>
                    </li>
    				<li class="child-menu">
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/user.png')); ?>"></span>
                            <span class="menu-text">User Management</span>
                            <span class="menu-arrow"></span>
                        </a>
                        <ul class="sub-menu">
                            <li><a href="#">- User Management one</a></li>
                            <li><a href="#">- User Management two</a></li>
                        </ul>
                    </li> -->
            <?php
            foreach ($menu as $k => $v) {
                //print_r($v['sub']);
                if (is_array($v['sub'])) {
            ?>
                    <li class="child-menu">
                        <a href="javascript:void(0)">
                            <span class="m-icon"><img src="<?php echo e(asset('adminpanel/images/' . $v['icon'])); ?>"></span>
                            <span class="menu-text"><?php echo $k; ?></span>
                            <span class="menu-arrow"></span>
                        </a>
                        <ul class="sub-menu">
                            <?php
                            foreach ($v['sub'] as $k1 => $v1) {
                            ?>
                                <li><a href="<?php echo e(url('/adminpanel/' . $v1)); ?>">- <?php echo $k1; ?></a></li>
                            <?php } ?>
                        </ul>
                    </li>
                <?php
                } else {
                ?>
                    <li>
                        <a href="<?php echo e(url('/adminpanel/' . $v['sub'])); ?>">
                            <span class="m-icon"><img src="<?php echo e(asset('adminpanel/images/' . $v['icon'])); ?>"></span>
                            <span class="menu-text"><?php echo $k; ?></span>
                        </a>
                    </li>
            <?php
                }
            }
            ?>
        </ul>
    </div>
</div>

<!-- Mobile Menu -->

<div class="sidebar-main mobile-view">
    <div class="top-logo-main">
        <img src="<?php echo e(URL::asset('public/images/logo1.png')); ?>" class="logo-img">
        <a href="javascript:;" class="close-menu"><img src="<?php echo e(URL::asset('public/images/side.png')); ?>"></a>
    </div>

    <div class="sidebar-menu-main">
        <ul>
            <?php
            foreach ($menu as $k => $v) {
                //print_r($v['sub']);
                if (is_array($v['sub'])) {
            ?>
                    <li class="child-menu">
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/' . $v['icon'])); ?>"></span>
                            <span class="menu-text"><?php echo $k; ?></span>
                            <span class="menu-arrow"></span>
                        </a>
                        <ul class="sub-menu">
                            <?php
                            foreach ($v['sub'] as $k1 => $v1) {
                            ?>
                                <li><a href="<?php echo e(url('/adminpanel/' . $v1)); ?>">- <?php echo $k1; ?></a></li>
                            <?php } ?>
                        </ul>
                    </li>
                <?php
                } else {
                ?>
                    <li>
                        <a href="<?php echo e(url('/adminpanel/' . $v['sub'])); ?>">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/' . $v['icon'])); ?>"></span>
                            <span class="menu-text"><?php echo $k; ?></span>
                        </a>
                    </li>
            <?php
                }
            }
            ?>
            <!-- <li>
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/home.png')); ?>"></span>
                            <span class="menu-text">Dashboard</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/home.png')); ?>"></span>
                            <span class="menu-text">Components</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/home.png')); ?>"></span>
                            <span class="menu-text">Applications</span>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/home.png')); ?>"></span>
                            <span class="menu-text">Custom</span>
                        </a>
                    </li>
                    <li class="child-menu">
                        <a href="#">
                            <span class="m-icon"><img src="<?php echo e(URL::asset('public/images/user.png')); ?>"></span>
                            <span class="menu-text">User Management</span>
                            <span class="menu-arrow"></span>
                        </a>
                        <ul class="sub-menu">
                            <li><a href="#">- User Management one</a></li>
                            <li><a href="#">- User Management two</a></li>
                        </ul>
                    </li> -->
        </ul>
    </div>
</div>

<!-- Mobile Menu --><?php /**PATH /home/keshavvps/public_html/keshav/KG1/corpF/resources/views/adminpanel/include/sidebar.blade.php ENDPATH**/ ?>