<?php
$label = "Update";
$pageTitle = "";

$description = "";
$contact = "";
$email = "";
$address = "";
$id = "";
$isError = false;
$formURL = route('adminpanel.staticpage.updatepage');
$picture = asset('adminpanel/images/default-user.jpg');

if (isset($data['error'])) {
    $isError = true;
    $pageTitle = $data['pagedata']['pageTitle'];
    $description = $data['pagedata']['description'];
    $id = $data['pagedata']['id'];
} else {
    if ($data['type'] == "edit") {

        $id = $data['pagedata'][0]->id;
        $pageTitle = $data['pagedata'][0]->pageTitle;
        $description = $data['pagedata'][0]->description;

        $picture1 = $data['pagedata'][0]->picture;
        if ($picture1 != "" && $picture1 != null) {
            if (file_exists(public_path() . "/uploads/staticpageImages/" . $picture1)) {
                $picture = asset('uploads/staticpageImages/' . $picture1);
            }
        }
        if ($id == 4) {
            $contact = $data['pagedata'][0]->contact;
            $email = $data['pagedata'][0]->email;
            $address = $data['pagedata'][0]->address;
        }
    }
}
?>
<?php $__env->startSection('title', $pageTitle); ?>
<?php $__env->startSection('content'); ?>

<style>
    .error-message {
        color: #dc3545;
        font-size: 0.875em;
        margin-top: 0.25rem;
        display: block;
    }
</style>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong><?php echo e($pageTitle); ?></strong></h4>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        <div class="add-user-one-main-content-top">
            <?php if(session()->has('success')): ?>
            <div class="success-message-box">
                <?php echo e(session('success')); ?>

            </div>
            <?php endif; ?>
            <?php if($isError): ?>
            <div class="error-message-box">
                <?php foreach ($data['error']->all() as $error) {
                    echo "<p>" . $error . "</p>";
                } ?>
            </div>
            <?php endif; ?>
        </div>
        <form method="post" action="<?php echo e($formURL); ?>" enctype="multipart/form-data">
            <input name="_token" type="hidden" value="<?php echo e(csrf_token()); ?>" />
            <input name="id" type="hidden" value="<?php echo e($id); ?>" />
            <div class="user-pro-detail-main-content">
                <div class="user-pro-detail-sub-content">

                    <div class="user-pro-detail-content">
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Image</label>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                    <img src="<?php echo e($picture); ?>" id="useimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                    <div class="button-wrapper">
                                        <span class="label"><img src="<?php echo e(asset('adminpanel/images/pencil-edit-button.svg')); ?>"></span>
                                        <input type="file" name="picture" id="upload" class="upload-box" placeholder="Upload File" onchange="displaySingleImagePreview(this, 'useimg')">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Page title</label><span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <input type="text" placeholder="Enter page title" name="pageTitle" class="form-control" value="<?php echo e($pageTitle); ?>">
                                <?php if(isset($data['error']) && $data['error']->has('pageTitle')): ?>
                                <span class="error-message"><?php echo e($data['error']->first('pageTitle')); ?></span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Page description</label><span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <textarea name="description"><?php echo e($description); ?></textarea>
                            </div>
                        </div>
                        <?php
                        if ($id == 4) {
                        ?>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Contact</label><span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" placeholder="Enter contact" name="contact" class="form-control" value="<?php echo e($contact); ?>">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Email</label><span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" placeholder="Enter email" name="email" class="form-control" value="<?php echo e($email); ?>">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Address</label><span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" placeholder="Enter address" name="address" class="form-control" value="<?php echo e($address); ?>">
                                </div>
                            </div>
                        <?php
                        }
                        ?>
                    </div>
                    <div class="next-step-btn-main">
                        <button type="submit" class="next-step">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('adminpanel.default.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/keshavvps/public_html/keshav/KG1/corpF/resources/views/adminpanel/staticpage.blade.php ENDPATH**/ ?>