<?php $__env->startSection('title', 'Add/Edit User'); ?>
<?php $__env->startSection('content'); ?>
<style>
    .error-message {
        color: #dc3545;
        font-size: 0.875em;
        margin-top: 0.25rem;
        display: block;
    }
</style>
<?php
$label = "Create";
$id = "";
$userName = "";
$email = "";
$password = "";
$contactNumber = "";
$profilePicture   = asset('adminpanel/images/default-user.jpg');
$isError = false;
$formRoute = 'adminpanel.user.save';
if (isset($data['error'])) {
    $isError = true;
    if ($data['type'] == "Edit") {
        $label = "Edit";
        $formRoute = 'adminpanel.user.update';
    }
    $userName = $data['input']['userName'];
    $email = $data['input']['email'];
    $contactNumber = $data['input']['contactNumber'];
} else {
    if ($data['type'] == "edit") {
        $label = "Edit";
        $userName = $data['input'][0]->userName;
        $email = $data['input'][0]->email;
        $password = $data['input'][0]->password;
        $contactNumber = $data['input'][0]->contactNumber;
        $id = $data['input'][0]->id;
        $profilePicture = $data['input'][0]->profilePicture;
        if ($profilePicture != "" && $profilePicture != null) {
            if (file_exists(public_path() . "/uploads/userImage/" . $profilePicture)) {
                $profilePicture = asset('/uploads/userImage/' . $profilePicture);
            } else {
                $profilePicture = asset('adminpanel/images/default-user.jpg');
            }
        } else {
            $profilePicture = asset('adminpanel/images/default-user.jpg');
        }

        $formRoute = 'adminpanel.user.update';
    }
}
?>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong><?php echo e($label); ?> User</strong></h4>
        </div>
    </div>
</div>
<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        <?php echo e(Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data'))); ?>

        <?php echo e(Form::hidden('id', $id)); ?>

        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Profile Image</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                <img src="<?php echo e($profilePicture); ?>" id="logoimg1" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                <div class="button-wrapper">
                                    <span class="label">
                                        <img src="<?php echo e(asset('adminpanel/images/pencil-edit-button.svg')); ?>">
                                    </span>
                                    <?php echo e(Form::file(
                                        'profilePicture',
                                        [
                                            'class'         => 'upload-box',
                                            'id'            => 'profile_picture',
                                            'placeholder'   => 'Select Profile Image',
                                            'onchange'      => 'displaySingleImagePreview(this, "logoimg1")'
                                        ])); ?>


                                </div>
                            </div>
                            <?php if(isset($data['error']) && $data['error']->has('profilePicture')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('profilePicture')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>User Name</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text(
                                'userName', $userName,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter User Name',
                                    'required' => false
                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('userName')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('userName')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Email</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::email(
                                'email', $email,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter email address',
                                    'required' => false
                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('email')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('email')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Contact Number</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text(
                                'contactNumber', $contactNumber,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Contact No.',
                                    'required' => false
                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('contactNumber')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('contactNumber')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php if($data['type'] != "edit"): ?>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Password</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::password(
                                'password',
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter password',
                                    'required' => false
                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('password')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('password')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
                <div class="next-step-btn-main">
                    <?php echo e(Form::button(
                        'Save',
                        [
                            'class' => 'next-step',
                            'type' => 'submit'
                        ])); ?>

                </div>
            </div>
        </div>
        <?php echo e(Form::close()); ?>

    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('adminpanel.default.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/keshavvps/public_html/keshav/KG1/corpF/resources/views/adminpanel/adduser.blade.php ENDPATH**/ ?>